<div style="margin-top: 20px;">
        <div class="container">
            <div class="row maximum-width-p-list">
                <div class="col-md-12">
                    <div class="btn-filter-wrapper pull-left" style="margin-bottom: 25px;">
                        <button pButton type="button" (click)="back()"
                            label="Back" 
                            icon="fa-angle-left"
                            class="ui-button-danger flat-label-button"
                            *ngIf="!isDetail">
                        </button>
                        <button pButton type="button" (click)="close()"
                            label="Back to Result" 
                            icon="fa-angle-left"
                            class="ui-button-danger flat-label-button"
                            *ngIf="isDetail">
                        </button>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="!isDetail">
                    <div class="card-deck" style="margin-bottom: 15px;">
                        <div class="card">
                            <div class="card-block">
                                <div class="row ui-g">
                                    <div class="col-md-3">
                                        <b>No. Stock Opname</b>
                                    </div>
                                    <div class="col-md-9">
                                        : <b>{{stockOpname.StockOpnameNumber}}</b>
                                    </div><hr>
                                    <div class="col-md-3">
                                        <b>Tanggal Stock Opname</b>
                                    </div>
                                    <div class="col-md-9">
                                        : <b>{{stockOpname.dtCreated | date:'dd-MMM-yyyy'}}</b>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="!isDetail">
                    <div class="card-deck" style="margin-bottom: 15px;">
                        <div class="card">
                            <div class="row ui-g">
                                <div class="col-md-12">
                                    <p-dataTable 
                                        [value]="stockOpnamesAssign" 
                                        [editable]="true" 
                                        [rows]="itemsPerPage" 
                                        [paginator]="true" 
                                        [pageLinks]="5" 
                                        [rowsPerPageOptions]="[10,15,20]" 
                                        [totalRecords]="queryCount" 
                                        [responsive]="true" 
                                        [lazy]="true" 
                                        dataKey="idAssign"
                                        expandableRows="false" 
                                        (onLazyLoad)="loadDataLazy($event)" >
                    
                                        <p-column header="Gudang">
                                            <ng-template let-rowData="rowData" pTemplate="body">
                                                {{rowData.facilityName}}
                                            </ng-template>
                                        </p-column>
                                        <p-column header="Lokasi">
                                            <ng-template let-rowData="rowData" pTemplate="body">
                                                {{rowData.containerName}}
                                            </ng-template>
                                        </p-column>
                                        <p-column header="Member">
                                            <ng-template let-rowData="rowData" pTemplate="body">
                                                {{rowData.picName}}
                                            </ng-template>
                                        </p-column>
                                        <p-column header="Status">
                                            <ng-template let-rowData="rowData" pTemplate="body">
                                                {{rowData.status}}
                                            </ng-template>
                                        </p-column>
                                        <p-column header="Aksi"[style]="{'width': '150px', 'text-align': 'center'}">
                                            <ng-template let-rowData="rowData" pTemplate="body">
                                                <button pButton type="button"
                                                        (click)="detail(rowData.idAssign)"
                                                        icon="fa-eye"
                                                        class="flat-button"
                                                        pTooltip="Detail"
                                                        [style]="{'height':'50px'}">
                                                </button>
                                            </ng-template>
                                        </p-column>
                                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                                        </ng-template>
                                    </p-dataTable>
                                    <div class="col-md-12">
                                        <b>Total Unit</b> : <b>{{stockOpname.TotalUnit}} unit</b>
                                    </div>
                                    <div class="col-md-12" style="margin-bottom: 15px;">
                                        <b>Total Unit Diperiksa</b> : <b>{{stockOpname.TotalChecked}} unit</b>
                                    </div>
                                    <div class="col-md-12" style="margin-bottom: 15px;">
                                        <button 
                                            class="btn btn-primary btn-filter btn-block"
                                            type="button"
                                            [disabled]="!isCompleted"
                                            (click)="submit()"> 
                                            Submit
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="isDetail">
                        <div class="card-deck" style="margin-bottom: 15px;">
                            <div class="card">
                                <div class="card-block">
                                    <div class="row ui-g">
                                        <div class="col-md-3">
                                            <b>No. Stock Opname</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{stockOpname.StockOpnameNumber}}</b>
                                        </div><hr>
                                        <div class="col-md-3">
                                            <b>Tanggal Stock Opname</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{stockOpname.dtCreated | date:'dd-MMM-yyyy'}}</b>
                                        </div><hr>
                                        <div class="col-md-3">
                                            <b>Gudang</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{detailAssign.facilityName}}</b>
                                        </div><hr>
                                        <div class="col-md-3">
                                            <b>Lokasi</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{detailAssign.containerName}}</b>
                                        </div><hr>
                                        <div class="col-md-3">
                                            <b>Nama User</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{detailAssign.person}}</b>
                                        </div><hr>
                                        <div class="col-md-3">
                                            <b>Unit yang diperiksa</b>
                                        </div>
                                        <div class="col-md-9">
                                            : <b>{{queryCountUnit ? queryCountUnit : '0'}} unit</b>
                                        </div><hr>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <div class="col-md-12" *ngIf="isDetail">
                    <p-dataList 
                        [value]="stockOpnamesItem" 
                        [paginator]="true" 
                        [rows]="itemsPerPage"
                        [paginator]="true"
                        [pageLinks]="5"
                        [rowsPerPageOptions]="[10,15,20]"
                        [totalRecords]="queryCountUnit"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="IdItem"
                        expandableRows="false"
                        (onLazyLoad)="loadDataLazy($event)"
                    >
                        <ng-template let-rowData pTemplate="item">
                            <div class="ui-g ui-fluid border-item">
                                <div class="ui-g-12">
                                    <div class="ui-g">
                                        <div class="ui-g-8"><h2>{{rowData.IdProduct}}</h2></div>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <div class="ui-g">
                                        <div class="ui-g-12"><h6>Nomor Rangka: {{rowData.IdFrame}}</h6></div>
                                        <div class="ui-g-12"><h6>Nomor Mesin : {{rowData.IdMachine}}</h6></div>
                                    </div>
                                </div>
                                <div class="ui-g-6">
                                    <div class="ui-g">
                                        <div class="ui-g-12"><h6>Tahun : {{rowData.Year}}</h6></div>       
                                        <div class="ui-g-12"><h6>Member : {{rowData.Color}}</h6></div>
                                    </div>
                                </div>
                            </div>
                        </ng-template>
                    </p-dataList>
                </div>
            </div>
        </div>
    </div>
    <div style="margin-top: 10px;"></div>
    
    <p-confirmDialog></p-confirmDialog>
    
    